<mat-card>
  <h1>Message</h1>
  <form [formGroup]="form" (ngSubmit)="onSubmit()">
    <div class="form-group">
      <mat-form-field appearance="fill" class="full-width">
        <mat-label>Name</mat-label>
        <input matInput id="name" formControlName="name">
        <mat-error *ngIf="form.controls['name'].invalid && form.controls['name'].touched">
          Name is required.
        </mat-error>
      </mat-form-field>

      <mat-form-field appearance="fill" class="full-width">
        <mat-label>Email</mat-label>
        <input matInput id="email" formControlName="email">
        <mat-error *ngIf="form.controls['email'].invalid && form.controls['email'].touched">
          Valid email is required.
        </mat-error>
      </mat-form-field>

      <mat-form-field appearance="fill" class="full-width">
        <mat-label>Message</mat-label>
        <textarea matInput id="message" formControlName="message"></textarea>
        <mat-error *ngIf="form.controls['message'].invalid && form.controls['message'].touched">
          Message is required.
        </mat-error>
      </mat-form-field>

      <div class="button-group">
        <button mat-raised-button color="primary" type="submit" [disabled]="form.invalid">Submit</button>
        <button mat-button type="button" (click)="onClear()">Clear</button>
      </div>
    </div>
  </form>
</mat-card>